/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fernandez_sanchez_abraham_PROG07_Tarea;

import javax.swing.table.DefaultTableModel;
import persistencia.UtilClass;

/**
 *
 * @author Abraham Fernandez Sanchez
 */
public final class WindowShowTrabajos extends javax.swing.JInternalFrame {

    DefaultTableModel modelo;
    UtilClass util;
    
    /**
     * Creates new form WindowShowTrabajos
     */
    public WindowShowTrabajos() {
        initComponents();
        rellenarListaTrabajos();
    }
    
    /**
     * Metodo para añadir los datos de los trabajos al JTable
     */
    public void rellenarListaTrabajos(){        
        modelo = (DefaultTableModel) jTableTrabajos.getModel();
        util = new UtilClass();                
        int numTrabajos = util.sizeListaTrabajos();        
        for (int i = 0; i < numTrabajos; i++) {
            String trabajo = util.getTrabajo(i);            
            modelo.addRow(new Object[]{trabajo});            
        }  
    }
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTableTrabajos = new javax.swing.JTable();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setTitle("Listado de los diferenetes trabajos existentes");
        setAutoscrolls(true);

        jTableTrabajos.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Tipo de trabajo"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.String.class
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }
        });
        jScrollPane1.setViewportView(jTableTrabajos);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 371, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 141, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTableTrabajos;
    // End of variables declaration//GEN-END:variables
}
